'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _service = require('../errors/service.js');

var _service2 = _interopRequireDefault(_service);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This is a mock service to be used when Browserify
 * renders the distribution file. Correios service
 * doesn't support CORS, so there's no reason to
 * include the original file with it's (heavy)
 * dependencies like "xml2js"
 */

function fetchCorreiosService(cepWithLeftPad) {

  return new Promise(function (resolve, reject) {
    var serviceError = new _service2.default({
      message: 'O serviço dos Correios não aceita requests via Browser (CORS).',
      service: 'correios'
    });

    reject(serviceError);
  });
}

exports.default = fetchCorreiosService;
module.exports = exports['default'];